apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  labels:
    app: CI_PROJECT_NAME
  name: CI_PROJECT_NAME
  namespace: default
spec:
  replicas: 2 #Let's add some reliability :)
  selector:
    matchLabels:
      app: CI_PROJECT_NAME
  strategy:
    rollingUpdate:
      maxSurge: 25%
      maxUnavailable: 25%
    type: RollingUpdate
  template:
    metadata:
      labels:
        app: CI_PROJECT_NAME
    spec:
      containers:
      - image: CI_REGISTRY_IMAGE:CI_COMMIT_TAG
        imagePullPolicy: Always
        name: CI_PROJECT_NAME
      restartPolicy: Always

